Can't uncheck "Load jQuery library"

Popular automatic website translation tool

Can't uncheck "Load jQuery library"

Postby dosboy » Mon Apr 25, 2011 10:32 am

Just as the subject says - when I uncheck "Load jQuery library" in the GTranslate admin page (because I'm already loading the latest version as one of the first items in my <head> section) and hit Save, it remains checked, and my site ends up loading jQuery twice. This seems like a bug, but maybe I'm overlooking something.

This is under WordPress 3.1.1.
dosboy
 
Posts: 5
Joined: Sat Apr 23, 2011 4:39 am


Re: Can't uncheck "Load jQuery library"

Postby greg9885 » Tue Apr 26, 2011 1:20 am

Yep, same here!! What's up with this?
greg9885
 
Posts: 1
Joined: Tue Apr 26, 2011 1:19 am

Re: Can't uncheck "Load jQuery library"

Postby Edvard » Tue Apr 26, 2011 3:35 pm

Thinks for the issue report, will be fixed in the next 1.0.18 version.
Regards,

Edvard Ananyan - GTranslate Team

Please leave your feedback on your CMS plugin directory. It is very important for us!
Google Translate Joomla
Google Translate WordPress
Google Translate Drupal
Edvard
Site Admin
 
Posts: 4185
Joined: Mon Jun 28, 2010 1:54 pm
Location: Yerevan, Armenia

Re: Can't uncheck "Load jQuery library"

Postby dosboy » Tue Apr 26, 2011 11:15 pm

Just updated to the latest version (Edvard - you're on the ball man). Unchecking include jQuery works now, but the translation fails when I include (prior to any GTranslate JS) jQuery 1.5.2 from Google CDN. It just doesn't do anything. I'm assuming getting it from Google isn't the issue, but it seems like there's a compatibility problem between GTranslate and jQuery 1.5.2 (or perhaps 1.5.x).

Anyway, I'm not really using any JS on my site right now so I'm happy to include the 1.4.4 version, but it's probably worth looking into.

FYI, I do get the following message in my JS Console when I click a translate flag:

Code: Select all
Uncaught TypeError: Object function (a,b){return new d.fn.init(a,b,g)} has no method 'cookie'
doGTranslate
(anonymous function)


This is on Chrome 12.0.742.5 dev on a Mac.
dosboy
 
Posts: 5
Joined: Sat Apr 23, 2011 4:39 am

Re: Can't uncheck "Load jQuery library"

Postby Edvard » Wed Apr 27, 2011 1:15 pm

Hi,

Never tried it with the jQuery 1.5, the default WP jQuery is version 1.4.4... Make sure that you load it before the jquery-translate.js file. Since if you load it after, it will create a new jQuery object and jQuery.cookie will not be defined...
Regards,

Edvard Ananyan - GTranslate Team

Please leave your feedback on your CMS plugin directory. It is very important for us!
Google Translate Joomla
Google Translate WordPress
Google Translate Drupal
Edvard
Site Admin
 
Posts: 4185
Joined: Mon Jun 28, 2010 1:54 pm
Location: Yerevan, Armenia

Re: Can't uncheck "Load jQuery library"

Postby dosboy » Wed Apr 27, 2011 4:18 pm

Hi Edvard. I am loading jQuery 1.5.2 prior to (before) the GTranslate JS. But I still get that error.

Again, not a huge deal, but something you might want to be aware of.
dosboy
 
Posts: 5
Joined: Sat Apr 23, 2011 4:39 am


  • Related Topics
    Replies
    Views
    Last post

Who is online

Users browsing this forum: No registered users and 0 guests

2GLux